Name:    openjpeg
Version: 1.1.1
Release: 2%{?dist}
Summary: JPEG 2000 codec library

Group:     System Environment/Libraries
License:   BSD
URL:       http://www.openjpeg.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: http://www.openjpeg.org/openjpeg_v1_1_1.tar.gz

Patch: openjpeg-1.1-makefile.patch

%description
The OpenJPEG library is an open-source JPEG 2000 codec written in C language.
It has been developed in order to promote the use of JPEG 2000, the new
still-image compression standard from the Joint Photographic Experts Group
(JPEG).

%package  devel
Summary:  Development files for openjpeg
Group:    Development/Libraries
Requires: openjpeg = %{version}-%{release}

%description devel
The openjpeg-devel package contains libraries and header files for
developing applications that use openjpeg.

%prep
%setup -q -n OpenJPEG
%patch -p1
# Why is everything executable? (this makes rpmlint happy)
find . -type f|xargs chmod 644

%build
make COMPILERFLAGS="%{optflags} -ffast-math -fPIC" \
     LIBRARIES="-lm" \
     %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} INCDIR=%{_includedir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libopenjpeg.so.*

%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%{_includedir}/openjpeg/
%{_libdir}/libopenjpeg.so

%changelog
* Fri Mar 16 2007 Callum Lerwick <seg@haxxed.com> 1.1.1-2
- Link with libm, fixes building on ppc. i386 and x86_64 are magical.

* Fri Feb 23 2007 Callum Lerwick <seg@haxxed.com> 1.1.1-1
- New upstream version, which has the SL patches merged.

* Sat Feb 17 2007 Callum Lerwick <seg@haxxed.com> 1.1-2
- Move header to a subdirectory.
- Fix makefile patch to preserve timestamps during install.

* Sun Feb 04 2007 Callum Lerwick <seg@haxxed.com> 1.1-1
- Initial packaging.
